package com.yizhi.lecturer.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 交银康联 讲师库vo
 * </p>
 *
 * @author lingye
 * @since 2020-5-12
 */
@Data
@ApiModel(value = "LecturerVo", description = "讲师详情表")
public class LecturerApiVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一主键")
    private Long id;

    @ApiModelProperty(value = "用户名-系统")
    private String name;

    @ApiModelProperty(value = "系统用户的accountId")
    private Long accountId;

    @ApiModelProperty(value = "讲师名称")
    private String lecturerName;

    @ApiModelProperty(value = "讲师头像")
    private String avatar;


    @ApiModelProperty(value = "讲师的来源inner内部/outer外部")
    private String source;

    @ApiModelProperty(value = "头衔")
    private String title;


}
