package com.yizhi.lecturer.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 讲师库管理列表
 * </p>
 *
 * @author lilingye
 * @since 2019-05-06
 */
@Data
@Api(tags = "LecturerRelationVO", description = "讲师关联课程表")
public class LecturerRelationVO {


    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "讲师id")
    private Long lecturerId;

    @ApiModelProperty(value = "关联id")
    private Long relationId;

    @ApiModelProperty(value = "关联名称")
    private String relationName;

    @ApiModelProperty(value = "1.在线课程; 2.线下课程；3.培训项目")
    private Integer type;


}
