package com.yizhi.lecturer.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 关联VO
 * </p>
 *
 * @author lingye
 * @since 2019-5-10
 */
@Data
@ApiModel(value = "RelationVO", description = "讲师列表")
public class RelationAddVO {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "关联的参数")
    List<RelationVO> relationVOS;


}
