package com.yizhi.lecturer.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 关联VO
 * </p>
 *
 * @author lingye
 * @since 2019-5-10
 */
@Data
@ApiModel(value = "RelationVO", description = "讲师列表")
public class RelationVO implements Serializable {

    @ApiModelProperty(value = "关联的课程/培训的id")
    private Long relationId;

    @ApiModelProperty(value = "名称")
    private String relationName;

    @ApiModelProperty(value = "1.在线课程; 2.线下课程；3.培训项目")
    private Integer type;

    @ApiModelProperty(value = "权限：1 有；0 没")
    private Integer flag;


}
