package com.yizhi.lecturer.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 关联VO
 * </p>
 *
 * @author lingye
 * @since 2019-5-10
 */
@Data
@ApiModel(value = "RelationVOList", description = "讲师列表")
public class RelationVOList implements Serializable {

    @ApiModelProperty(value = "关联的课程/培训的id")
    private Long relationId;

    @ApiModelProperty(value = "名称")
    private String relationName;

    @ApiModelProperty(value = "1.在线课程; 2.线下课程；3.培训项目")
    private Integer type;

    @ApiModelProperty(value = "权限：1 有；0 没")
    private Integer flag;

    @ApiModelProperty(value = "线下课程图片")
    private String image;

    @ApiModelProperty(value = "线下课程简介")
    private String des;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;


}
