package com.yizhi.lecturer.application.vo.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 讲师履历表
 * </p>
 *
 * @author lingye
 * @since 2019-04-23
 */
@Data
@ApiModel(value = "LecturerResumeVo", description = "讲师履历表")

public class LecturerResumeVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "讲师id")
    
    private Long lecturerId;

    @ApiModelProperty(value = "个人履历内容")
    private String resume;

    @ApiModelProperty(value = "签名")
    
    private String personalSign;

    @ApiModelProperty(value = "创建时间")
    
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    
    private Date updateTime;

    @ApiModelProperty(value = "1 删除")
    
    private Integer delFlag;

    @ApiModelProperty(value = "创建人")
    
    private Long createById;

    @ApiModelProperty(value = "修改人")
    
    private Long updateById;

}
