package com.yizhi.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.application.domain.LecturerDic;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 讲师库系统字典 Mapper 接口
 * </p>
 *
 * @author lingye
 * @since 2019-04-17
 */
public interface LecturerDicMapper extends BaseMapper<LecturerDic> {
    /**
     * 获取字典列表
     * @param code
     * @return
     */
    List<LecturerDic> getLecturerDicListByCode(@Param("code") String code);
}
