package com.yizhi.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.application.domain.LecturerGrade;
import com.yizhi.lecturer.application.vo.LecturerGradeVO;

import java.util.List;

/**
 * <p>
 * 讲师级别表 服务类
 * </p>
 *
 * @author lingye
 * @since 2019-11-05
 */
public interface ILecturerGradeService extends IService<LecturerGrade> {
    /**
     * 新增讲师级别
     *
     * @param lecturerGradeVO
     * @return
     */
    LecturerGradeVO add(LecturerGradeVO lecturerGradeVO);

    /**
     * 修改讲师级别
     *
     * @param lecturerGradeVO
     * @return
     */
    LecturerGradeVO update(LecturerGradeVO lecturerGradeVO);

    /**
     * 讲师级别列表
     *
     * @return
     */
    List<LecturerGrade> list(Integer status);


}
