package com.yizhi.lecturer.application.enums;

/**
 * 操作枚举类
 * @author lingye
 * @date 2019-4-19
 */
public enum LecturerEnum {
    UP("up","上移"),
    DOWN("down","下移"),
    TOP("top","置顶"),
    STOP("stop","停用"),
    START("start", "启用");

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    private String key;
    private String value;

    LecturerEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }
}
