package com.yizhi.lecturer.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 移动门户添加讲师返回VO
 * </p>
 *
 * @author lingye
 * @since 2019-5-12
 */
@Data
@ApiModel(value = "TemplateLecturerVO", description = "讲师详情表")
public class TemplateLecturerVO implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "唯一主键")
    private Long id;


    @ApiModelProperty(value = "讲师名字")
    private String name;


    @ApiModelProperty(value = "讲师图片")
    private String imgPath;


}
