package com.yizhi.application.Controller;


import com.yizhi.application.domain.LecturerDic;
import com.yizhi.application.service.ILecturerDicService;
import io.swagger.annotations.Api;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 讲师库系统字典 前端控制器
 * </p>
 *
 * @author lingye
 * @since 2019-04-17
 */
@Api(value = "讲师字典")
@RestController
@RequestMapping("/lecturerdic")
public class LecturerDicController {
    @Autowired
    private ILecturerDicService lecturerDicService;

    @GetMapping("/list/code")
    public List<LecturerDic> getLecturerDicList(@RequestParam(name = "code") String code) {
        return lecturerDicService.getLecturerDicListByCode(code);
    }

}

