package com.yizhi.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.application.domain.LecturerInfo;
import com.yizhi.lecturer.application.vo.LecturerInfoVO;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lingye
 * @since 2019-11-06
 */
public interface ILecturerInfoService extends IService<LecturerInfo> {
    /**
     * 基本信息新增
     *
     * @param lecturerInfoVO
     * @return
     */
    LecturerInfoVO add(LecturerInfoVO lecturerInfoVO);

    /**
     * 修改
     *
     * @param lecturerInfoVO
     * @return
     */
    LecturerInfoVO update(LecturerInfoVO lecturerInfoVO);


    /**
     * 根据站点获取讲师基本信息
     *
     * @return
     */
    LecturerInfoVO getBySiteId();
}
